Bug 1375504 - VM screen is often black after boot in gnome-boxes
Summary: VM screen is often black after boot in gnome-boxes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-09-13 09:25 UTC by pavel raur
Modified: 2017-12-12 10:13 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:13:19 UTC


Attachments (Terms of Use)
packages on my pc (49.62 KB, text/plain)
2016-09-13 09:25 UTC, pavel raur
no flags Details
packages on virtual machine (49.65 KB, text/plain)
2016-09-13 09:25 UTC, pavel raur
no flags Details
login screen bug (29.45 KB, image/png)
2016-09-13 09:28 UTC, pavel raur
no flags Details
desktop bug (29.93 KB, image/png)
2016-09-13 09:28 UTC, pavel raur
no flags Details
login screen 2 bug (1.78 MB, image/png)
2016-09-13 09:30 UTC, pavel raur
no flags Details
another gdm glitch (16.81 KB, image/png)
2016-09-13 10:19 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1266484 None None None Never
Red Hat Bugzilla 1374028 None None None Never

Internal Links: 1266484 1374028

Description pavel raur 2016-09-13 09:25:06 UTC
Created attachment 1200412 [details]
packages on my pc

Description of problem:
Gnome-boxes is not displaying virtual machine screen if its not in default screen size. In different screen size login screen and desktop is not displayed. If you drag mouse over the VM screen some buttons are displayed, but seems not working. To display screen normally you need to resize VM again.

Version-Release number of selected component (if applicable):
gnome-boxes-3.21.3-1.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1.start gnome boxes
2.resize window to different size than VMs default
3.start installed fedora VM
4.wait for login screen

Actual results:
Login screen and desktop will not appear until screen isn't resized again

Expected results:
Login screen and desktop should appear normally in any size of window

Additional info:

Comment 1 pavel raur 2016-09-13 09:25:56 UTC
Created attachment 1200413 [details]
packages on virtual machine

Comment 2 pavel raur 2016-09-13 09:28:20 UTC
Created attachment 1200424 [details]
login screen bug

Comment 3 pavel raur 2016-09-13 09:28:59 UTC
Created attachment 1200425 [details]
desktop bug

Comment 4 pavel raur 2016-09-13 09:30:53 UTC
Created attachment 1200426 [details]
login screen 2 bug

Comment 5 Kamil Páral 2016-09-13 10:19:15 UTC
Created attachment 1200448 [details]
another gdm glitch

I can reproduce it as well. Happens to me every time, because I'm not able to make the window a pixel-perfect match of the default VM size.

Please note that this is related to bug 1374028 - when wayland was used, the screen was flickering (bug 1266484) but not black. Now with xorg, it's black. According to bug 1266484 comment 47 this has been happening since Fedora-Workstation-Live-x86_64-25-20160910.n.0.

Comment 6 Kamil Páral 2016-09-13 10:26:55 UTC
Proposing as a blocker:
"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. "
https://fedoraproject.org/wiki/Fedora_25_Final_Release_Criteria#Default_application_functionality

This is easy to test, just launch gnome-boxes, make it maximized (to make sure it's resized, or resize it manually), and run Fedora-Workstation-Live-x86_64-25-20160910.n.0 or newer (just booting a Live system is enough).

Comment 7 Petr Schindler 2016-09-19 17:22:10 UTC
Discussed at 2016-09-19 blocker review meeting: [1]. 

This bug was accepted as Final blocker: Violates the following Blocker criteria: "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test." We will see if there is any backlash from the maintainer after classification and go from there.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-09-19/

Comment 8 Kamil Páral 2016-09-26 14:34:24 UTC
Bug 1374028 got resolved and this is no longer the default behavior - bug 1266484 is. I'll keep the tags as they are for the moment, but the accepted blocker is likely to get lifted if wayland stays the default in VMs.

Comment 9 Geoffrey Marr 2016-10-24 18:33:14 UTC
Discussed during the 2016-10-24 blocker review meeting: [1]

The decision to reclassify this bug as a RejectedBlocker was made per comment 8; this does not seem to be affecting Boxes like it did before.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-10-24/f25-blocker-review.2016-10-24-16.01.txt

Comment 10 Pavel Grunt 2016-10-25 13:17:27 UTC
should be fixed in spice-gtk3-0.33

Comment 11 Fedora End Of Life 2017-11-16 19:38:49 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2017-12-12 10:13:19 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.